Game Develop C++ Platform: TiXmlAttribute Class Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Public Member Functions | Friends | List of all members
TiXmlAttribute Class Reference
Integrated TinyXml library

Part of the tinyxml library. More...

`#include <tinyxml.h>`

Inheritance diagram for TiXmlAttribute:
[legend]
Collaboration diagram for TiXmlAttribute:
[legend]

## Public Member Functions

| TiXmlAttribute ()
| Construct an empty attribute.
| TiXmlAttribute (const char *_name, const char *_value)
| Construct an attribute with a name and value.
const char * | Name () const
| Return the name of this attribute.
const char * | Value () const
| Return the value of this attribute.
int | IntValue () const
| Return the value of this attribute, converted to an integer.
double | DoubleValue () const
| Return the value of this attribute, converted to a double.
const TIXML_STRING & | NameTStr () const
int | QueryIntValue (int *_value) const
int | QueryDoubleValue (double *_value) const
| QueryDoubleValue examines the value string. See QueryIntValue().
void | SetName (const char *_name)
| Set the name of this attribute.
void | SetValue (const char *_value)
| Set the value.
void | SetIntValue (int _value)
| Set the value from an integer.
void | SetDoubleValue (double _value)
| Set the value from a double.
const TiXmlAttribute * | Next () const
| Get the next sibling attribute in the DOM. Returns null at end.
TiXmlAttribute * | Next ()
const TiXmlAttribute * | Previous () const
| Get the previous sibling attribute in the DOM. Returns null at beginning.
TiXmlAttribute * | Previous ()
bool | operator== (const TiXmlAttribute &rhs) const
bool | operator< (const TiXmlAttribute &rhs) const
bool | operator> (const TiXmlAttribute &rhs) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual void | Print (FILE *cfile, int depth) const
void | Print (FILE *cfile, int depth, TIXML_STRING *str) const
void | SetDocument (TiXmlDocument *doc)
Public Member Functions inherited from TiXmlBase
int | Row () const
int | Column () const
| See Row()
void | SetUserData (void *user)
| Set a pointer to arbitrary user data.
void * | GetUserData ()
| Get a pointer to arbitrary user data.
const void * | GetUserData () const
| Get a pointer to arbitrary user data.

## Friends

class | TiXmlAttributeSet

## Additional Inherited Members

Public Types inherited from TiXmlBase

enum

{
TIXML_NO_ERROR = 0, TIXML_ERROR, TIXML_ERROR_OPENING_FILE, TIXML_ERROR_OUT_OF_MEMORY,
TIXML_ERROR_PARSING_ELEMENT, TIXML_ERROR_FAILED_TO_READ_ELEMENT_NAME, TIXML_ERROR_READING_ELEMENT_VALUE, TIXML_ERROR_READING_ATTRIBUTES,
TIXML_ERROR_PARSING_EMPTY, TIXML_ERROR_READING_END_TAG, TIXML_ERROR_PARSING_UNKNOWN, TIXML_ERROR_PARSING_COMMENT,
TIXML_ERROR_PARSING_DECLARATION, TIXML_ERROR_DOCUMENT_EMPTY, TIXML_ERROR_EMBEDDED_NULL, TIXML_ERROR_PARSING_CDATA,
TIXML_ERROR_DOCUMENT_TOP_ONLY, TIXML_ERROR_STRING_COUNT
}

Static Public Member Functions inherited from TiXmlBase
static void | SetCondenseWhiteSpace (bool condense)
static bool | IsWhiteSpaceCondensed ()
| Return the current white space setting.
static void | EncodeString (const TIXML_STRING &str, TIXML_STRING *out)
Static Public Attributes inherited from TiXmlBase
static const int | utf8ByteTable [256]
Static Protected Member Functions inherited from TiXmlBase
static const char * | SkipWhiteSpace (const char *, TiXmlEncoding encoding)
static bool | IsWhiteSpace (char c)
static bool | IsWhiteSpace (int c)
static const char * | ReadName (const char *p, TIXML_STRING *name, TiXmlEncoding encoding)
static const char * | ReadText (const char *in, TIXML_STRING *text, bool ignoreWhiteSpace, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static const char * | GetEntity (const char *in, char *value, int *length, TiXmlEncoding encoding)
static const char * | GetChar (const char *p, char *_value, int *length, TiXmlEncoding encoding)
static bool | StringEqual (const char *p, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static int | IsAlpha (unsigned char anyByte, TiXmlEncoding encoding)
static int | IsAlphaNum (unsigned char anyByte, TiXmlEncoding encoding)
static int | ToLower (int v, TiXmlEncoding encoding)
static void | ConvertUTF32ToUTF8 (unsigned long input, char *output, int *length)
Protected Attributes inherited from TiXmlBase
TiXmlCursor | location
void * | userData
| Field containing a generic user pointer.
Static Protected Attributes inherited from TiXmlBase
static const char * | errorString [TIXML_ERROR_STRING_COUNT]

## Detailed Description

Part of the tinyxml library.

An attribute is a name-value pair. Elements have an arbitrary number of attributes, each with a unique name.

Note
  The attributes are not TiXmlNodes, since they are not part of the tinyXML document object model. There are other suggested ways to look at this problem.

## Member Function Documentation

virtual void TiXmlAttribute::Print | ( | FILE * | cfile,
|  | int | depth
| ) |  | const

inlinevirtual

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

Here is the call graph for this function:

int TiXmlAttribute::QueryIntValue | ( | int * | _value) |  | const

QueryIntValue examines the value string. It is an alternative to the IntValue() method with richer error checking. If the value is an integer, it is stored in 'value' and the call returns TIXML_SUCCESS. If it is not an integer, it returns TIXML_WRONG_TYPE.

A specialized but useful call. Note that for success it returns 0, which is the opposite of almost all other TinyXml calls.

The documentation for this class was generated from the following files:

- tinyxml.h
- tinyxml.cpp
- tinyxmlparser.cpp